%define upstream_name    Working-Daemon
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl extension for turning your script inta daemon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Working/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This is a modular Daemon wrapper. It handles forking, master session,
chroot pidfiles, and command line parsing.

While it isn't perfect yet, it works better than any existing on CPAN.
Notably it doesn't force itself on you unconditionally.

The commandline parsing uses Getopt::Long

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-7.mga6
+ Revision: 1035701
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.310.0-6.mga6
+ Revision: 946370
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 746166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 686884
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 516024
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 374861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 kharec <kharec> 0.310.0-1.mga2
+ Revision: 165039
- imported package perl-Working-Daemon


* Mon Nov 07 2011 cpan2dist 0.31-1mga
- initial mageia release, generated with cpan2dist
